import React from "react";
import {Check} from "@phosphor-icons/react";

export function Checkbox({children, type, ...inputProps}: React.PropsWithChildren<React.InputHTMLAttributes<HTMLInputElement>>): React.ReactElement
{
	return (
		<label className={"box"}>
			<input type={"checkbox"} {...inputProps} />
			<a className={"button"} tabIndex={-1}><Check weight={"bold"} /></a>
			{children}
		</label>
	);
}
